## org.apache.hadoop.mapred.join
Class Parser.StrToken

    java.lang.Object
      org.apache.hadoop.mapred.join.Parser.Token
          org.apache.hadoop.mapred.join.Parser.StrToken

Enclosing class:
  Parser

    public static class Parser.StrToken

extends Parser.Token

Constructor Summary
`Parser.StrToken(Parser.TType type, String str)`

Method Summary
`String` `getStr()`

Methods inherited from class org.apache.hadoop.mapred.join.Parser.Token
`getNode, getNum, getType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Parser.StrToken

    public Parser.StrToken(Parser.TType type,
                           String str)

Method Detail

### getStr

    public String getStr()

  Overrides:
    `getStr` in class `Parser.Token`

Copyright © 2009 The Apache Software Foundation